org.apache.http.nio.entity

## Interface ProducingNHttpEntity

All Superinterfaces:
  HttpEntity

All Known Implementing Classes:
  NByteArrayEntity, NFileEntity, NHttpEntityWrapper, NStringEntity

Deprecated.
use (4.2) `BasicAsyncRequestProducer` or `BasicAsyncResponseProducer`

    @Deprecated
    public interface ProducingNHttpEntity
    extends HttpEntity

An `HttpEntity` that can stream content out into a `ContentEncoder`.

Since:
  4.0

### Method Summary

Methods
`void` `finish()` Deprecated. Notification that any resources allocated for writing can be released.
`void` `produceContent(ContentEncoder encoder, IOControl ioctrl)` Deprecated. Notification that content should be written to the encoder.

### Methods inherited from interface org.apache.http.HttpEntity

`consumeContent, getContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable, isStreaming, writeTo`

### Method Detail

#### produceContent

    void produceContent(ContentEncoder encoder,
                      IOControl ioctrl)
                        throws IOException

Deprecated.
Notification that content should be written to the encoder. `IOControl` instance passed as a parameter to the method can be used to suspend output events if the entity is temporarily unable to produce more content.

When all content is finished, this MUST call `ContentEncoder.complete()`. Failure to do so could result in the entity never being written.

Parameters:
  `encoder` - content encoder.
  `ioctrl` - I/O control of the underlying connection.
Throws:
  `IOException`

#### finish

    void finish()
                throws IOException

Deprecated.
Notification that any resources allocated for writing can be released.

Throws:
  `IOException`